<?php
declare(strict_types = 1);

namespace Dagr\Tzdb\Zone\America;

use Dagr\Tzdb\ZoneInfoInterface;

final class Scoresbysund implements ZoneInfoInterface
{
    public const STANDARD_TRANSITIONS = [
        -1686090728,
        354675600,
    ];
    public const STANDARD_OFFSETS = [
        -5272,
        -7200,
        -3600,
    ];
    public const SAVINGS_INSTANT_TRANSITIONS = [
        -1686090728,
        323841600,
        332913600,
        349243200,
        354675600,
        363747600,
        379472400,
        395197200,
        410922000,
        426646800,
        442371600,
        458096400,
        474426000,
        490150800,
        505875600,
        521600400,
        537325200,
        553050000,
        568774800,
        584499600,
        600224400,
        615949200,
        631674000,
        647398800,
        663728400,
        679453200,
        695178000,
        710902800,
        726627600,
        742352400,
        758077200,
        773802000,
        789526800,
        805251600,
        820976400,
        839725200,
        853030800,
        871174800,
    ];
    public const WALL_OFFSETS = [
        -5272,
        -7200,
        -3600,
        -7200,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
        0,
        -3600,
    ];
    public const LAST_RULES = [
        [
            'month' => 1,
            'dayOfMonth' => 7,
            'dayOfWeek' => 0,
            'time' => 3600,
            'timeEndOfDay' => false,
            'standardOffset' => -3600,
            'offsetBefore' => -3600,
            'offsetAfter' => 0,
        ],
        [
            'month' => 8,
            'dayOfMonth' => 8,
            'dayOfWeek' => 0,
            'time' => 3600,
            'timeEndOfDay' => false,
            'standardOffset' => -3600,
            'offsetBefore' => 0,
            'offsetAfter' => -3600,
        ],
    ];
}
