<?php
declare(strict_types = 1);

namespace Dagr\Tzdb\Zone\Atlantic;

use Dagr\Tzdb\ZoneInfoInterface;

final class Canary implements ZoneInfoInterface
{
    public const STANDARD_TRANSITIONS = [
        -1509663504,
        -733874400,
    ];
    public const STANDARD_OFFSETS = [
        -3696,
        -3600,
        0,
    ];
    public const SAVINGS_INSTANT_TRANSITIONS = [
        -1509663504,
        -733874400,
        323827200,
        347418000,
        363142800,
        379472400,
        395197200,
        410922000,
        426646800,
        442371600,
        458096400,
        473821200,
        489546000,
        505270800,
        520995600,
        536720400,
        552445200,
        568774800,
        584499600,
        600224400,
        615949200,
        631674000,
        647398800,
        663123600,
        678848400,
        694573200,
        710298000,
        726627600,
        742352400,
        758077200,
        773802000,
        789526800,
        805251600,
        823395600,
        836701200,
        855450000,
        868150800,
    ];
    public const WALL_OFFSETS = [
        -3696,
        -3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
        0,
        3600,
    ];
    public const LAST_RULES = [
        [
            'month' => 2,
            'dayOfMonth' => 4,
            'dayOfWeek' => 0,
            'time' => 3600,
            'timeEndOfDay' => false,
            'standardOffset' => 0,
            'offsetBefore' => 3600,
            'offsetAfter' => 0,
        ],
        [
            'month' => 7,
            'dayOfMonth' => 5,
            'dayOfWeek' => 0,
            'time' => 3600,
            'timeEndOfDay' => false,
            'standardOffset' => 0,
            'offsetBefore' => 0,
            'offsetAfter' => 3600,
        ],
    ];
}
