<?php
declare(strict_types = 1);

namespace Dagr\Tzdb\Zone\Europe;

use Dagr\Tzdb\ZoneInfoInterface;

final class Belgrade implements ZoneInfoInterface
{
    public const STANDARD_TRANSITIONS = [
        -2713915320,
    ];
    public const STANDARD_OFFSETS = [
        4920,
        3600,
    ];
    public const SAVINGS_INSTANT_TRANSITIONS = [
        -2713915320,
        -905824800,
        -857257200,
        -844556400,
        -828226800,
        -812502000,
        -796777200,
        -777942000,
        -766623600,
        407199600,
        412131600,
        427856400,
        443581200,
        459910800,
        475635600,
        491360400,
        507085200,
        522810000,
        538534800,
        554259600,
        569984400,
        585709200,
        601434000,
        617158800,
        633488400,
        649213200,
        664938000,
        680662800,
        696387600,
        712112400,
        727837200,
        743562000,
        759286800,
        775011600,
        790736400,
        806461200,
        825210000,
        838515600,
        856659600,
        869965200,
    ];
    public const WALL_OFFSETS = [
        4920,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
        3600,
        7200,
    ];
    public const LAST_RULES = [
        [
            'month' => 2,
            'dayOfMonth' => 22,
            'dayOfWeek' => 0,
            'time' => 3600,
            'timeEndOfDay' => false,
            'standardOffset' => 3600,
            'offsetBefore' => 7200,
            'offsetAfter' => 3600,
        ],
        [
            'month' => 7,
            'dayOfMonth' => 23,
            'dayOfWeek' => 0,
            'time' => 3600,
            'timeEndOfDay' => false,
            'standardOffset' => 3600,
            'offsetBefore' => 3600,
            'offsetAfter' => 7200,
        ],
    ];
}
